<?php

namespace Teknisa\MAN\Services;

use Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;
use Zeedhi\Framework\DB\StoredProcedure\Param;
use Doctrine\ORM\EntityManager;
use Teknisa\MAN\Utilities;
use \Setforms2\Shared\ORM\DateTime;

class LayoutProdCOmbinadoService {
	
	protected $entityManager;

	public function __construct(\Doctrine\ORM\EntityManager $entityManager)  {
		$this->entityManager = $entityManager;
	}
	
	public function removeGrupo($params){
		return $this->entityManager->getConnection()->executeQuery(self::DELETE_GRUPO, $params);
	}
	
	public function saveBtn($params){
		return $this->entityManager->getConnection()->executeQuery(self::INSERT_BTN, $params);
	}
	
	public function updateBtn($params){
		return $this->entityManager->getConnection()->executeQuery(self::UPDATE_BTN, $params);
	}
	
	const DELETE_GRUPO = "DELETE FROM ITMENUCONFTE
                                WHERE
                          CDFILIAL = :CDFILIAL      AND
                          NRCONFTELA = :NRCONFTELA  AND
                          NRBUTTON = :NRBUTTON      AND
                          IDTPBUTTON = 'B'          AND 
                          NRORG = :NRORG			AND
                          DTINIVIGENCIA = :DTINIVIGENCIA" ;
                          
    const INSERT_BTN = "INSERT INTO ITMENUCONFTE 
						(CDFILIAL, NRCONFTELA, IDTPBUTTON, DSBUTTON, 
						NRBUTTON, NRLIMPRODCOM, NRCOLORTEXT, NRCOLORBACK, NRPGCONFTELA,
						IDTPBUTONAUX,NRBUTTONAUX,NRPGCONFTAUX, NRORG, DTINIVIGENCIA)
							VALUES
						(:CDFILIAL, :NRCONFTELA, :IDTPBUTTON, :DSBUTTON,   
						:NRBUTTON, :NRLIMPRODCOM, :NRCOLORTEXT, :NRCOLORBACK, :NRPGCONFTELA,:IDTPBUTONAUX, :NRBUTTONAUX,
						:NRPGCONFTAUX, :NRORG, :DTINIVIGENCIA)";
						
	const UPDATE_BTN = "UPDATE
						  ITMENUCONFTE
						SET
						  NRCOLORBACK = :NRCOLORBACK,
						  NRLIMPRODCOM = :NRLIMPRODCOM,
						  DSBUTTON    = :DSBUTTON
						WHERE
						  CDFILIAL     = :CDFILIAL
						AND NRCONFTELA = :NRCONFTELA
						AND IDTPBUTTON = 'B'
						AND NRBUTTON   = :NRBUTTON
						AND NRORG      = :NRORG
						AND DTINIVIGENCIA = :DTINIVIGENCIA";
                          
}
